%define pkg_name        Class-DBI-SQLite
%define pkg_version     0.11
%define rpm_pkg_version 0.11
%define rpm_pkg_release 2.n0i.10

Summary:       Extension to Class::DBI for sqlite
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MI/MIYAGAWA/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Class::DBI) >= 0.85
BuildRequires: perl(DBD::SQLite) >= 0.07
BuildRequires: perl(Ima::DBI) >= 0.27
%endif


%description
Class::DBI::SQLite is an extension to Class::DBI for DBD::SQLite, which allows
you to populate auto incremented row id after insert.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.11-2.n0i.10
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Thu Oct 06 2005 Marius Feraru <altblue@n0i.net> 0.11-1.n0i.9
- version 0.11

* Thu Sep 01 2005 Marius Feraru <altblue@n0i.net> 0.10-1.n0i.8
- version 0.10

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.09-1.n0i.8
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.08-3.n0i.7
- version 0.08

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0:0.06-2.n0i.6
- version 0.06

* Thu May 20 2004 Marius Feraru <altblue@n0i.net> 0:0.04-1.n0i.5
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Fri Mar 19 2004 Marius FERARU <altblue@n0i.net> 0:0.04-1.n0i.4
- version 0.04

* Fri Feb 20 2004 Marius FERARU <altblue@n0i.net> 0:0.03-1.n0i.3
- version 0.03

* Fri Jan 30 2004 Marius FERARU <altblue@n0i.net> 0:0.02-0.n0i.2
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Wed Oct 01 2003 Marius FERARU <altblue@n0i.net> 0.02-0.n0i
- version 0.02
- spec file (re?)created using N0i::CPAN::RPMizer/2003092601
